Skip to main content

Cancel a Transfer Batch

PUT 

/v2/transfer/batches/:uid/cancel

Cancellation: This endpoint cancels the Transfer Batch. The behavior depends on the registration state of the batch.

  • Not registered with provider: The batch is cancelled immediately in a local manner, without interaction with the financial institution. The response contains the updated batch.
  • Registered with provider (cancellation API supported): A cancellation command is created and processed asynchronously. The response contains the created Command.
  • Registered with provider (cancellation API not supported): A cancellation command is created per Transfer individually. The response contains the updated batch.

Cancellation is possible in the states: pending, awaiting_approval, confirmed and approved.

⚠️ Attention to Cancelled status: The Cancelled status is terminal.

Request

Responses

Cancelled successfully